org.richfaces.ui.iteration.dataScroller

## Class DataScrollEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - javax.faces.event.ActionEvent
      - - org.richfaces.ui.iteration.dataScroller.DataScrollEvent

- All Implemented Interfaces:
    Serializable

      public class DataScrollEvent
      extends javax.faces.event.ActionEvent

  Author:
    Wesley Hales
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataScrollEvent(javax.faces.component.UIComponent component, String thisOldScrolVal, String thisNewScrolVal, int page)` Creates a new ScrollerEvent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNewScrolVal()`
    `String` | `getOldScrolVal()`
    `int` | `getPage()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)` Delivers this event to the SliderListener.

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataScrollEvent

          public DataScrollEvent(javax.faces.component.UIComponent component,
                         String thisOldScrolVal,
                         String thisNewScrolVal,
                         int page)

      Creates a new ScrollerEvent.
      Parameters:
        `component` - the source of the event
        `thisOldScrolVal` - the previously showing item identifier
        `thisNewScrolVal` - the currently showing item identifier

  - ### Method Detail

    - #### getOldScrolVal

          public String getOldScrolVal()

    - #### getNewScrolVal

          public String getNewScrolVal()

    - #### getPage

          public int getPage()

      Returns:
        new page or `-1` if not applicable
      Since:
        3.2

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Overrides:
        `isAppropriateListener` in class `javax.faces.event.ActionEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Delivers this event to the SliderListener.
      Overrides:
        `processListener` in class `javax.faces.event.ActionEvent`
      Parameters:
        `listener` - the slider listener

Copyright © 2014 JBoss by Red Hat. All rights reserved.